> For the complete documentation index, see [llms.txt](https://docs.pixiebrix.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pixiebrix.com/enterprise-it-setup/browser-extension-installation-and-configuration/browser-extension-security.md).

# Browser Extension Security

{% hint style="info" %}
This page covers Browser Extension Security topics. For general PixieBrix security and compliance information, see [Security and Compliance](https://docs.pixiebrix.com/enterprise-it-setup/security-and-compliance.md)
{% endhint %}

## Controlling Access to Hosts/Origins <a href="#block-4bcc9c7d5f64405c887f7ad087d445f0" id="block-4bcc9c7d5f64405c887f7ad087d445f0"></a>

Access to hosts/origins is controlled via the `runtime_blocked_hosts` and `runtime_allowed_hosts` policies. See [Configure ExtensionSettings policy for more information](https://support.google.com/chrome/a/answer/9867568?hl=en)

{% hint style="info" %}
The PixieBrix extension requires access to the`pixiebrix.com` domain and subdomains to function
{% endhint %}

For example, to only allow PixieBrix to modify the [`example.com`](http://example.com/) domain, provide the following settings:

* `runtime_blocked_hosts`
  * `*://*`
* `runtime_allowed_hosts`
  * `https://*.pixiebrix.com`
  * `https://*.example.com`

## Frequently Asked Questions (FAQs) <a href="#block-66877facf6d94bab8f99734bb27ecbb0" id="block-66877facf6d94bab8f99734bb27ecbb0"></a>

### What security certifications do you have? <a href="#block-9fd8ad04a46149ea85192a143e1e4594" id="block-9fd8ad04a46149ea85192a143e1e4594"></a>

PixieBrix completes the following with our auditor [A-LIGN](https://www.a-lign.com/):

* SOC-2 Type 2: Security, Availability, Confidentiality
* PCI DSS 4.0.1
* GDPR
* EU-US DPF
* Google Cloud Application Security Assessment (CASA)&#x20;

Reports and information are available from our [Trust Center](https://trust.pixiebrix.com/)

### What browser permissions does PixieBrix's extension require? <a href="#block-9fd8ad04a46149ea85192a143e1e4594" id="block-9fd8ad04a46149ea85192a143e1e4594"></a>

See our [Extension permissions section of our Privacy Policy](https://www.pixiebrix.com/privacy/#extension-permissions-1).

### Has a 3rd party audited the PixieBrix Browser Extension? <a href="#block-d14d7a8a56b943a992262eab5f17ecc7" id="block-d14d7a8a56b943a992262eab5f17ecc7"></a>

* PixieBrix completes an annual independent penetration test by [A-LIGN](https://www.a-lign.com/) that includes the Browser Extension in the test scope. The penetration test report is available from our [Trust Center](https://trust.pixiebrix.com/)
* PixieBrix completes a Google Cloud Application Security Assessment (CASA) annually
* The Google Chrome Web Store team reviews the extension prior to publishing in the Chrome Web Store


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.pixiebrix.com/enterprise-it-setup/browser-extension-installation-and-configuration/browser-extension-security.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
